<!DOCTYPE html>
<html lang="en">
<head>
    <meta charset="UTF-8">
    <meta name="viewport" content="width=device-width, initial-scale=1.0">
    <title>Under Construction</title>
    <link rel="stylesheet" href="{{ url_for('static', filename='undefined_page.css')}}">
</head>
<body>
    <div class="construction-container">
        <h1>Caution: Nerds at Work!</h1>
        <img class="construction-image" src="https://placekitten.com/800/300" alt="Under Construction Sad Kitten">
        <p>This website is like a fine wine, it needs time. Our team of highly trained monkeys is working on it!</p>
        <p class="funny-quote">"Why don't programmers like nature? It has too many bugs."</p>
        <div class="progress-bar">
            <div class="progress"></div>
        </div>
        <p class="completion-status">Completion: 25%</p>
    </div>
</body>
</html>
